@import "./variables.scss";

#root {
    background-color: $bg-body;
    color: $font-color;
    font-family: Arial, Helvetica, sans-serif;
    margin: auto;
    width: 80%;
    border-radius: 10px;
    border: 2px solid #ffa260;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px;
    .grey {
        position: absolute;
        background-color: lightgrey;
        color: $font-color;
        height: 75px;
        width: 200px;
        left: 0;
        top: 0;
        text-align: center;
    }
    #tweetItems {
        display: flex;
        align-items: center;
        flex-direction: column;
        #navigationButtons button {
            @include button-style;
        }
        #navigationButtons button:hover {
            @include button-hover;
        }
        ul {
            list-style: none;
            overflow: auto;
            li {
                display: flex;
                justify-content: flex-end;
                margin-top: 20px;
                .spanBtn {
                    float: right;
                    button:first-of-type {
                        margin-left: 200px;    
                    }
                    button {
                        @include button-style;
                        padding: 0.5em 1em;
                    }
                    button:hover {
                        @include button-hover;
                    }
                }
            }
        }
    }
    #modifyItem {
        display: none;
        align-items: center;
        flex-direction: column;
        .formButtons {
            margin-top: 15px;
            margin-bottom: 15px;
            button {
                @include button-style;
            }
            button:hover {
                @include button-hover;
            }
        }
    }
}